package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B1;
import com.ruoyi.system.domain.B11;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B11Mapper {

    public List<B11> selectAll();

    public List<B11> selectListByInfo(B11 b11);

    int insertOne(B11 b11);

    int examineB11(B11 b11);

    int delB11(B11 b11);

    int weekdelB11(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);


    List<B11> selectB11ListByProjectIDAndFromTo(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);
    List<B11> selectB11ByUserIDAndFromTo(@Param("userId") String userId, @Param("from") String from, @Param("to") String to);

    /**
     * 新增表b11字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 批量更新
     * @param list
     */
    void updateList(List<B11> list);
}
